Subject: bug#4527: Emacs removes Extended Attributes when saving

From: Stefan Monnier <[email-masked]>
Date: Wed, 23 Sep 2009 18:39:56 -0400

> When I edit a file that contains xattrs the xattrs are removed when I
> save the file inside of emacs.

You have to set backup-by-copying, otherwise the saved file is a new
file (with a new inode).  Of course, this also affects whether or not
hardlinks get broken when saving a file, which may be what you want or
may be what you don't want.

        Stefan